com.ibm.openpages.api.tag

## Interface ITag

-     public interface ITag

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_DESCRIPTION` The tag name attribute that is used by the condition/sorting for `ITagService#getTags(com.ibm.openpages.api.tag.IFindOptions)`
    `static java.lang.String` | `ATTR_IS_ENABLED` The tag name attribute that is used by the condition/sorting for `ITagService#getTags(com.ibm.openpages.api.tag.IFindOptions)`
    `static java.lang.String` | `ATTR_NAME` The tag name attribute that is used by the condition/sorting for `ITagService#getTags(com.ibm.openpages.api.tag.IFindOptions)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColor()`
    `java.lang.String` | `getCreatedBy()`
    `java.util.Date` | `getCreatedDate()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getModifiedBy()`
    `java.util.Date` | `getModifiedDate()`
    `java.lang.String` | `getName()`
    `Id` | `getTagId()`
    `java.lang.Boolean` | `isEnabled()`
    `void` | `setColor(java.lang.String color)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setIsEnabled(java.lang.Boolean isEnabled)`
    `void` | `setName(java.lang.String name)`

- - ### Field Detail

    - #### ATTR_NAME

          static final java.lang.String ATTR_NAME

      The tag name attribute that is used by the condition/sorting for `ITagService#getTags(com.ibm.openpages.api.tag.IFindOptions)`
      See Also:
        Constant Field Values

    - #### ATTR_DESCRIPTION

          static final java.lang.String ATTR_DESCRIPTION

      The tag name attribute that is used by the condition/sorting for `ITagService#getTags(com.ibm.openpages.api.tag.IFindOptions)`
      See Also:
        Constant Field Values

    - #### ATTR_IS_ENABLED

          static final java.lang.String ATTR_IS_ENABLED

      The tag name attribute that is used by the condition/sorting for `ITagService#getTags(com.ibm.openpages.api.tag.IFindOptions)`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTagId

          Id getTagId()

    - #### isEnabled

          java.lang.Boolean isEnabled()

    - #### setIsEnabled

          void setIsEnabled(java.lang.Boolean isEnabled)

    - #### getName

          java.lang.String getName()

    - #### setName

          void setName(java.lang.String name)

    - #### getDescription

          java.lang.String getDescription()

    - #### setDescription

          void setDescription(java.lang.String description)

    - #### getColor

          java.lang.String getColor()

    - #### setColor

          void setColor(java.lang.String color)

    - #### getModifiedDate

          java.util.Date getModifiedDate()

    - #### getModifiedBy

          java.lang.String getModifiedBy()

    - #### getCreatedDate

          java.util.Date getCreatedDate()

    - #### getCreatedBy

          java.lang.String getCreatedBy()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.